%global momorel 1
Name:		libcue
Version:	2.1.0
Release:	%{momorel}m%{?dist}
Summary:	Cue sheet parser library

Group:		System Environment/Libraries
# Files libcue/rem.{c,h} contains a BSD header
License:	GPLv2 and BSD
URL:		http://libcue.sourceforge.net/
Source0:	%{name}-%{version}.tar.xz
#Source0:	https://github.com/%{upstream}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
#NoSource: 0

Patch1:		libcue-0001-Don-t-even-mention-static-libs-installation.patch
Patch2:		libcue-0002-Install-libs-using-arch-dependent-libdir.patch
Patch3:		libcue-0003-Use-arch-dependent-libdir-for-storing-.pc-file.patch
Patch4:		libcue-0004-Don-t-hardcode-anything-in-.pc-file.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)


%description
Libcue is intended for parsing a so-called cue sheet from a char string or
a file pointer. For handling of the parsed data a convenient API is available.


%package devel
Summary:	Development files
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig


%description	devel
Development files for %{name}.


%prep
%setup -q

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%cmake
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/libcue.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_libdir}/%{name}.so.*
%doc ChangeLog README.md


%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Oct 17 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.0-1m)
- update 2.1.0

* Fri Jul 11 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.0-1m)
- update 1.4.0

* Fri Jul  6 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.3.0-5m)
- fix momorel

* Thu Jul 05 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.3.0-4.1m)
- import from fedora

